Subject: bug#8681: 23.3; (gnus-face-from-file ...) bug in Gnus v5.13 on GNU Emacs 23.3.1 (i386-mingw-nt5.1.2600) on Windows XP Professional, Service Pack 3

From: "Benjamin L. Russell" <[email-masked]>
Date: Thu, 30 Jun 2011 07:32:44 -0700 (PDT)

> So what does
> 
> (shell-command "convert -scale 48x48! c:/some/image.jpg
> -colors %d png:-")
> 
> eval to for you?

It evaluated to a PNG file (for some reason, I am unable to copy-and-paste the contents from Emacs to this application, perhaps because the buffer comprises a PNG file).

> 
> >> And the built-in ImageMagick functions (which it
> could be using,
> >> theoretically) don't really allow you to do stuff
> like that, because
> >> it doesn't expose the required interface. 
> It's more
> >> display-oriented.
> >
> > Then this is a problem with the built-in ImageMagick
> functions, which
> > should be changed to allow me to do stuff like that.
> 
> Yes.  It sounds like a nice project for someone for
> Emacs 25.  :-)

Good luck; may the Force be with you! ;-)

-- Benjamin L. Russell

--- On Thu, 6/30/11, Lars Magne Ingebrigtsen <[email-masked]> wrote:

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Subject: Re: bug#8681: 23.3; (gnus-face-from-file ...) bug in Gnus v5.13 on GNU Emacs 23.3.1 (i386-mingw-nt5.1.2600) on Windows XP Professional, Service Pack 3
> To: "Benjamin L. Russell" <[email-masked]>
> Cc: "Eli Zaretskii" <[email-masked]>, "Glenn Morris" <[email-masked]>, [email-masked]
> Date: Thursday, June 30, 2011, 11:12 PM
> "Benjamin L. Russell" <[email-masked]>
> writes:
> 
> > FYI, I *do* have Imagemagick installed; I thought that
> I had noted
> > this in a reply in that thread.  Therefore, it's
> certainly not a bug
> > on my part.
> 
> Sorry; I missed that part.  
> 
> So what does
> 
> (shell-command "convert -scale 48x48! c:/some/image.jpg
> -colors %d png:-")
> 
> eval to for you?
> 
> >> And the built-in ImageMagick functions (which it
> could be using,
> >> theoretically) don't really allow you to do stuff
> like that, because
> >> it doesn't expose the required interface. 
> It's more
> >> display-oriented.
> >
> > Then this is a problem with the built-in ImageMagick
> functions, which
> > should be changed to allow me to do stuff like that.
> 
> Yes.  It sounds like a nice project for someone for
> Emacs 25.  :-)
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog http://lars.ingebrigtsen.no/
>